Bug 703011 - (CVE-2011-1770) CVE-2011-1770 kernel: dccp: handle invalid feature options length
CVE-2011-1770 kernel: dccp: handle invalid feature options length
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
public=20110506,reported=20110509,sou...
: Security
Depends On: 703012 703013 703014
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-08 21:37 EDT by Eugene Teo (Security Response)
Modified: 2015-07-31 02:40 EDT (History)
17 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-29 08:44:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Eugene Teo (Security Response) 2011-05-08 21:37:33 EDT
length of zero (after subtracting two for the type and len fields) for the DCCPO_{CHANGE,CONFIRM}_{L,R} options will cause an underflow due to the subtraction.  The subsequent code may read past the end of the options value buffer when parsing.

http://marc.info/?l=linux-kernel&m=130468845209036&w=2

Acknowledgements:

Red Hat would like to thank Dan Rosenberg for reporting this issue.
Comment 3 Eugene Teo (Security Response) 2011-05-08 22:05:29 EDT
Statement:

This issue does not affect Red Hat Enterprise Linux 4 and 5: Red Hat Enterprise Linux 4 does not provide support for the Datagram Congestion Control Protocol (DCCP), and Red Hat Enterprise Linux 5, which does support DCCP, did not backport the upstream commit that introduced this issue, e77b8363b. This has been addressed in Red Hat Enterprise Linux 6 and Red Hat Enterprise MRG via https://rhn.redhat.com/errata/RHSA-2011-0836.html and https://rhn.redhat.com/errata/RHSA-2011-1253.html.
Comment 4 errata-xmlrpc 2011-06-01 15:57:04 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:0836 https://rhn.redhat.com/errata/RHSA-2011-0836.html
Comment 5 Eugene Teo (Security Response) 2011-06-28 03:20:18 EDT
Upstream commit:
http://git.kernel.org/linus/a294865978b701e4d0d90135672749531b9a900d
Comment 6 errata-xmlrpc 2011-09-12 15:44:28 EDT
This issue has been addressed in following products:

  MRG for RHEL-6 v.2

Via RHSA-2011:1253 https://rhn.redhat.com/errata/RHSA-2011-1253.html

Note You need to log in before you can comment on or make changes to this bug.